FROM continuumio/miniconda3

LABEL maintainer="Oscar Leiva<oscar.leiva@mercadoselectricos.com.sv>"

RUN mkdir -p /usr/src/app
COPY requirements.txt /usr/src/app
RUN pip install --upgrade pip
RUN pip install -r /usr/src/app/requirements.txt
RUN pip install gunicorn

COPY ./app /usr/src/app

WORKDIR /usr/src/app

RUN rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*